import Taro from '@tarojs/taro'
import { createBaseInfoToFetchData } from '@/http/index'
import { logUploadReport } from '@/http/api/index'
const logTypeEnums = {
  //ab测试上报类型
  ABTEST : 10,
  //漏斗模型上报类型
  funnel : 20,
  //独立事件上报类型
  simpleEvent : 30,
  //前端调试上报类型
  debug : 40,
  //播放动作上报类型
  playAction : 50,
  //用户活跃上报类型
  userActive : 60,
  // h5 自营广告新库
  adActionNewLog : 170
}

interface adAction {
  (params: any[]): Promise<any>
}

export const adActionLog: adAction = params => {
  const { baseInfo } = createBaseInfoToFetchData(params[0] || {})

  const detail = params.map(item => ({
    logUploadType: 'OWN_AD_UPLOAD',
    params: {
      logType: logTypeEnums.adActionNewLog,
      ...item
    }
  }))

  return request(logUploadReport, {
    baseInfo,
    detail
  }, { 'content-type': 'application/json;' })
}

function request(url, data, header) {
  return new Promise((resolve, reject) => {
    const expParams: ConfigType = {
      header: {
        'content-type': 'application/x-www-form-urlencoded',
        ...header
      },
      method: 'POST'
    }

    Taro.request({
      url,
      data,
      success(res) {
        const { data, statusCode } = res

        if (statusCode !== 200) {
          reject(data)
          return
        }

        resolve(data)
      },
      fail(res) {
        reject(res)
      },
      ...expParams
    })
  })
}
